CFPRIME MOGDAT                                                          MOGDAT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE MOGDAT(CARD,IKEY,JTYP,IEBK)                            MOGDAT      3
CD                                                                      MOGDAT      4
CD    TO PERFORM THE FOLLOWING CHANGES IN GENERATION AND GENERATOR      MOGDAT      5
CD    CONTROLS AS REQUESTED IN THE SWITCHING SPECIFICATION.             MOGDAT      6
CD                                                                      MOGDAT      7
      INCLUDE 'PARX.INS'                                                MOGDAT      8
      INCLUDE 'CNPT.INS'                                                MOGDAT      9
      INCLUDE 'CNFLAG.INS'                                              MOGDAT     10
      INCLUDE 'CNIPTR.INS'                                              MOGDAT     11
      INCLUDE 'CNSTN.INS'                                               MOGDAT     12
      INCLUDE 'CNB1.INS'                                                MOGDAT     13
      INCLUDE 'CNB3.INS'                                                MOGDAT     14
      INCLUDE 'CNB4.INS'                                                MOGDAT     15
      INCLUDE 'CNB5.INS'                                                MOGDAT     16
      INCLUDE 'CNB8.INS'                                                MOGDAT     17
      INCLUDE 'CNB10.INS'                                               MOGDAT     18
      INCLUDE 'CNB19.INS'                                               MOGDAT     19
      INCLUDE 'CNUVAR.INS'                                              MOGDAT     20
      INCLUDE 'CNUNIT.INS'                                              MOGDAT     21
      INCLUDE 'CNMDAT.INS'                                              MOGDAT     22
      INCLUDE 'CNXSTA.INS'                                              MOGDAT     23
      INCLUDE 'CNSPC1.INS'                                              MOGDAT     24
      INCLUDE 'CNVOLT.INS'                                              MOGDAT     25
      INCLUDE 'CNNNEW.INS'                                              MOGDAT     26
      INCLUDE 'CNMSTA.INS'                                              MOGDAT     27
      INCLUDE 'CNMYVA.INS'                                              MOGDAT     28
      INCLUDE 'CNYVAR.INS'                                              MOGDAT     29
C                                                                       MOGDAT     30
      CHARACTER*2 LICT                                                  MOGDAT     31
      CHARACTER*3 ITYP                                                  MOGDAT     32
      CHARACTER*132 CARD                                                MOGDAT     33
C                                                                       MOGDAT     34
      LDEB=(JDEB(42).NE.0)                                              MOGDAT     35
C                                                                       MOGDAT     36
      READ(CARD,1370) ITYP,NLFI,IMACH,LICT,XDLT                         MOGDAT     37
C                                                                       MOGDAT     38
      IF(IKEY.LE.1)THEN                                                 MOGDAT     39
      IKEY=2                                                            MOGDAT     40
C      WRITE(IU17,1410)                                                 MOGDAT     41
      WRITE(IU6,1410)                                                   MOGDAT     42
      ENDIF                                                             MOGDAT     43
C                                                                       MOGDAT     44
C   GENERATION SYSTEM CHANGE                                            MOGDAT     45
C                                                                       MOGDAT     46
      IGENLF=NOLD(NLFI)                                                 MOGDAT     47
C      IPBNO=NNEW(NLFI)                                                 MOGDAT     48
      IN3=NLFI*3                                                        MOGDAT     49
      IN1=IN3-2                                                         MOGDAT     50
      IN2=IN3-1                                                         MOGDAT     51
CD                                                                      MOGDAT     52
CD    NOTE:  IMACH - MACHINE INDEX                                      MOGDAT     53
CD           MAICO - ENDING POSITION IN ARRAY "ICONTA"                  MOGDAT     54
CD           JDG   - STARTING POSITION IN ARRAY "DDAT"                  MOGDAT     55
CD           JSG   - STARTING POSITION IN ARRAY "XSTATE"                MOGDAT     56
CD                                                                      MOGDAT     57
      JDG=JCONTA(1,IMACH)                                               MOGDAT     58
      JSG=MSTATE(1,IMACH)                                               MOGDAT     59
C           GR   GM GFD PR  PM  VR  OF  FV  SR  TEB                     MOGDAT     60
      GOTO (300,290,280,260,270,230,240,250,210,310), JTYP              MOGDAT     61
 210  CONTINUE                                                          MOGDAT     62
C                                                                       MOGDAT     63
CD                                                                      MOGDAT     64
CD    1. ITYP=SR            REMOVING STABILIZER                         MOGDAT     65
C                                                                       MOGDAT     66
      ICONTA(5,IMACH)=0                                                 MOGDAT     67
      JYS=MYVAR(3,IMACH)                                                MOGDAT     68
      VSS(JYS+1)=0.0                                                    MOGDAT     69
C      WRITE(IU17,1570)                                                 MOGDAT     70
C     & ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3),LICT               MOGDAT     71
      WRITE(IU6,1570)                                                   MOGDAT     72
     & ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3),LICT                MOGDAT     73
      GOTO 500                                                          MOGDAT     74
CD                                                                      MOGDAT     75
CD    2. ITYP=VR            AVR REFERENCE CHANGED                       MOGDAT     76
C                                                                       MOGDAT     77
 230  CONTINUE                                                          MOGDAT     78
      JYE=MYVAR(2,IMACH)                                                MOGDAT     79
      VREF(JYE+2)=VREF(JYE+2)+XDLT                                      MOGDAT     80
C      WRITE(IU17,1560)                                                 MOGDAT     81
C     & ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3),LICT,XDLT          MOGDAT     82
      WRITE(IU6,1560)                                                   MOGDAT     83
     & ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3),LICT,XDLT           MOGDAT     84
      GOTO 500                                                          MOGDAT     85
CD                                                                      MOGDAT     86
CD    3. TYPE=OF            OPEN FIELD CIRCUIT DISCHARGED THROUGH       MOGDAT     87
CD                          RESISTOR                                    MOGDAT     88
C                                                                       MOGDAT     89
 240  CONTINUE                                                          MOGDAT     90
      ICONTA(4,IMACH)=0                                                 MOGDAT     91
      ICONTA(5,IMACH)=0                                                 MOGDAT     92
      JYG=MYVAR(1,IMACH)                                                MOGDAT     93
C? NEED TO CHECK IF STABILIZER EXISTED BEFORE?                          MOGDAT     94
      JYS=MYVAR(3,IMACH)                                                MOGDAT     95
      VSS(JYS+1)=0.0                                                    MOGDAT     96
      EFD(JYG+4)=0.0                                                    MOGDAT     97
      DDAT(JDG+10)=XDLT*DDAT(JDG+10)                                    MOGDAT     98
C      WRITE(IU17,1565) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT     99
C     1,LICT,XDLT                                                       MOGDAT    100
      WRITE(IU6,1565) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    101
     1,LICT,XDLT                                                        MOGDAT    102
      GOTO 500                                                          MOGDAT    103
CD                                                                      MOGDAT    104
CD    4. ITYP=FV            FIELD VOLTAGE CHANGE                        MOGDAT    105
C                                                                       MOGDAT    106
 250  CONTINUE                                                          MOGDAT    107
      JYG=MYVAR(1,IMACH)                                                MOGDAT    108
      EFD(JYG+4)=EFD(JYG+4)+XDLT                                        MOGDAT    109
C      WRITE(IU17,1580) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    110
C     1,LICT,XDLT                                                       MOGDAT    111
      WRITE(IU6,1580) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    112
     1,LICT,XDLT                                                        MOGDAT    113
      GOTO 500                                                          MOGDAT    114
 260  CONTINUE                                                          MOGDAT    115
CD                                                                      MOGDAT    116
CD    5. ITYP=PR            PRIME MOVER REF(XDLREF) CHANGE              MOGDAT    117
C                                                                       MOGDAT    118
      JYP=MYVAR(5,IMACH)                                                MOGDAT    119
      XLDREF(JYP+1)=XLDREF(JYP+1)+XDLT                                  MOGDAT    120
C      WRITE(IU17,1550) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    121
C     1,LICT,XDLT                                                       MOGDAT    122
      WRITE(IU6,1550) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    123
     1,LICT,XDLT                                                        MOGDAT    124
      GOTO 500                                                          MOGDAT    125
CD                                                                      MOGDAT    126
CD    6. ITYP=PM, GFD       SYCHRONOUS MOTOR TMECH CHANGE               MOGDAT    127
C                                                                       MOGDAT    128
 270  CONTINUE                                                          MOGDAT    129
      JYG=MYVAR(1,IMACH)                                                MOGDAT    130
      TIN(JYG+1)=TIN(JYG+1)+XDLT                                        MOGDAT    131
C      WRITE(IU17,1555) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    132
C     1,LICT,XDLT                                                       MOGDAT    133
      WRITE(IU6,1555) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    134
     1,LICT,XDLT                                                        MOGDAT    135
      GOTO 500                                                          MOGDAT    136
CD                                                                      MOGDAT    137
CD    7. ITYP=GFD           SYCHRONOUS TMECH CHANGE DURING FAULT        MOGDAT    138
C                                                                       MOGDAT    139
 280  CONTINUE                                                          MOGDAT    140
      JYG=MYVAR(1,IMACH)                                                MOGDAT    141
      TIN(JYG+1)=TIN(JYG+1)+XDLT/BASPC                                  MOGDAT    142
C      WRITE(IU17,1555) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    143
C     1,LICT,XDLT                                                       MOGDAT    144
      WRITE(IU6,1555) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    145
     1,LICT,XDLT                                                        MOGDAT    146
      GOTO 500                                                          MOGDAT    147
CD                                                                      MOGDAT    148
CD    8. ITYP=GM            GENERATION MODIFICATION                     MOGDAT    149
C   NEW CODE TO BE ADDE TO WSCC SPECIFICATION OF THIS SWITCHING         MOGDAT    150
C                                                                       MOGDAT    151
 290  CONTINUE                                                          MOGDAT    152
      XDLT=XDLT/100.0                                                   MOGDAT    153
C                                                                       MOGDAT    154
C     SYSTEM INERTIA REDUCTION                                          MOGDAT    155
C                                                                       MOGDAT    156
      SYSTH=1.0/SYSTH                                                   MOGDAT    157
      SYSTH=SYSTH-XDLT/DDAT(JDG+1)                                      MOGDAT    158
      SYSTH=1.0/SYSTH                                                   MOGDAT    159
C                                                                       MOGDAT    160
      XDLT1=1.0-XDLT                                                    MOGDAT    161
      DDAT(JDG+1)=DDAT(JDG+1)/XDLT1                                     MOGDAT    162
C                                                                       MOGDAT    163
      IGENS=ICONTA(1,IMACH)                                             MOGDAT    164
      JYG=MYVAR(1,IMACH)                                                MOGDAT    165
C                                                                       MOGDAT    166
      IF (IGENS.NE.4) THEN                                              MOGDAT    167
         DDAT(JDG+3)=XDLT1*DDAT(JDG+3)                                  MOGDAT    168
         DO 292 I=6,21                                                  MOGDAT    169
            DDAT(JDG+I)=DDAT(JDG+I)/XDLT1                               MOGDAT    170
 292     CONTINUE                                                       MOGDAT    171
         DDAT(JDG+22)=XDLT1*DDAT(JDG+22)                                MOGDAT    172
         DDAT(JDG+23)=XDLT1*DDAT(JDG+23)                                MOGDAT    173
         DDAT(JDG+24)=DDAT(JDG+24)/XDLT1                                MOGDAT    174
         DDAT(JDG+25)=DDAT(JDG+25)/XDLT1                                MOGDAT    175
         DDAT(JDG+36)=XDLT1*DDAT(JDG+36)                                MOGDAT    176
         DDAT(JDG+37)=XDLT1*DDAT(JDG+37)                                MOGDAT    177
         DDAT(JDG+38)=XDLT1*DDAT(JDG+38)                                MOGDAT    178
         IF (IDDAT(JDG+24).NE.0.OR.IDDAT(JDG+25).NE.0) THEN             MOGDAT    179
            DO 294 I=39,44                                              MOGDAT    180
               DDAT(JDG+I)=XDLT1*DDAT(JDG+I)                            MOGDAT    181
 294        CONTINUE                                                    MOGDAT    182
         END IF                                                         MOGDAT    183
C                                                                       MOGDAT    184
      ELSE                                                              MOGDAT    185
         DDAT(JDG+4)=XDLT1*DDAT(JDG+4)                                  MOGDAT    186
         XPD(IMACH)=XDLT1*XPD(IMACH)                                    MOGDAT    187
         PDG(JYG+2)=XDLT1*PDG(JYG+2)                                    MOGDAT    188
         PQG(JYG+3)=XDLT1*PQG(JYG+3)                                    MOGDAT    189
         EMG(JYG+4)=XDLT1*EMG(JYG+4)                                    MOGDAT    190
      END IF                                                            MOGDAT    191
      JGG=JCONTA(2,IMACH)                                               MOGDAT    192
      IGVN=ICONTA(2,IMACH)                                              MOGDAT    193
      TIN(JYG+1)=XDLT1*TIN(JYG+1)                                       MOGDAT    194
      IF (IGVN.EQ.1.OR.IGVN.EQ.2) THEN                                  MOGDAT    195
         DDAT(JGG+24)=XDLT1*DDAT(JGG+24)                                MOGDAT    196
      ELSE IF (IGVN.EQ.5) THEN                                          MOGDAT    197
         DDAT(JGG+4)=XDLT1*DDAT(JGG+4)                                  MOGDAT    198
      ELSE IF (IGVN.EQ.4.OR.IGVN.EQ.6.OR.IGVN.EQ.7.OR.IGVN.EQ.8) THEN   MOGDAT    199
         DDAT(JGG+5)=XDLT1*DDAT(JGG+5)                                  MOGDAT    200
      ELSE IF (IGVN.EQ.20) THEN                                         MOGDAT    201
         DDAT(JGG+7)=XDLT1*DDAT(JGG+7)                                  MOGDAT    202
      ELSE IF (IGVN.EQ.21.OR.IGVN.EQ.22) THEN                           MOGDAT    203
         DDAT(JGG+1)=XDLT1*DDAT(JGG+1)                                  MOGDAT    204
      END IF                                                            MOGDAT    205
C                                                                       MOGDAT    206
C      WRITE(IU17,1610) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    207
C     1,LICT                                                            MOGDAT    208
      WRITE(IU6,1610) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    209
     1,LICT                                                             MOGDAT    210
      GOTO 500                                                          MOGDAT    211
CD                                                                      MOGDAT    212
CD    9. ITYP=GR            UNIT REJECTION(INCREASE INERTIA CONST)      MOGDAT    213
C                                                                       MOGDAT    214
 300  CONTINUE                                                          MOGDAT    215
      SYSTH=1.0/SYSTH                                                   MOGDAT    216
      SYSTH=SYSTH-1.0/DDAT(JDG+1)                                       MOGDAT    217
      SYSTH=1.0/SYSTH                                                   MOGDAT    218
C                                                                       MOGDAT    219
C:NOTE THE INERTIA IS STORED IN ITS INVERSION                           MOGDAT    220
C                                                                       MOGDAT    221
      DDAT(JDG+1)=1.E-7                                                 MOGDAT    222
C                                                                       MOGDAT    223
      XSTATE(JSG+1)=+0.0                                                MOGDAT    224
C                                                                       MOGDAT    225
      IGENS=ICONTA(1,IMACH)                                             MOGDAT    226
      JYG=MYVAR(1,IMACH)                                                MOGDAT    227
C                                                                       MOGDAT    228
      IF (IGENS.NE.4) THEN                                              MOGDAT    229
         UVAR(1,IMACH)=+0.0                                             MOGDAT    230
         UVAR(2,IMACH)=+0.0                                             MOGDAT    231
         UVAR(5,IMACH)=+0.0                                             MOGDAT    232
         UVAR(3,IMACH)=+0.0                                             MOGDAT    233
         UVAR(4,IMACH)=+0.0                                             MOGDAT    234
         UVAR(6,IMACH)=+0.0                                             MOGDAT    235
      ELSE                                                              MOGDAT    236
         EMG(JYG+4)=+0.0                                                MOGDAT    237
         XPD(IMACH)=0.0                                                 MOGDAT    238
      END IF                                                            MOGDAT    239
      TIN(JYG+1)=0.0                                                    MOGDAT    240
C      WRITE(IU17,1590) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    241
C     1,LICT                                                            MOGDAT    242
      WRITE(IU6,1590) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    243
     1,LICT                                                             MOGDAT    244
      GOTO 500                                                          MOGDAT    245
CD                                                                      MOGDAT    246
CD    10. ITYP=TEB          TRANSIENT EXCITATION BOOSTING               MOGDAT    247
C                                                                       MOGDAT    248
 310  CONTINUE                                                          MOGDAT    249
      JTB=JCONTA(10,IMACH)                                              MOGDAT    250
      DDAT(JTB+1)=TS                                                    MOGDAT    251
C      WRITE(IU17,1600) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)    MOGDAT    252
C     1,LICT,TS                                                         MOGDAT    253
      WRITE(IU6,1600) ITYP,IGENLF,INAME(IN1),INAME(IN2),INAME(IN3)      MOGDAT    254
     1,LICT,TS                                                          MOGDAT    255
C                                                                       MOGDAT    256
 500  CONTINUE                                                          MOGDAT    257
C                                                                       MOGDAT    258
      RETURN                                                            MOGDAT    259
C                                                                       MOGDAT    260
C 1230 FORMAT (A3,1X,5I5)                                               MOGDAT    261
C 1270 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' IS NOT IN THE SMOGDAT    262
C     1STEM CHECK YOUR SWITCHING',' DATA * * *')                        MOGDAT    263
C 1280 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' NO SUCH GENERATMOGDAT    264
C     1R IN THE SYSTEM CHECK YOUR ','SWITCHING DATA * * *')             MOGDAT    265
C 1290 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' HAS NO EXCITER MOGDAT    266
C     1HECK YOUR SWITCHING DATA',' * * *')                              MOGDAT    267
C 1300 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' HAS NO STABILIZMOGDAT    268
C     1R CHECK YOUR SWITCHING DATA',' * * *')                           MOGDAT    269
C 1310 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' DO NOT HAVE A TMOGDAT    270
C     1PE 1 OR 2 GOVERNOR CHECK YOUR','SWITCHING DATA * * *')           MOGDAT    271
C 1315 FORMAT (///,1X,'* * * ERROR GEN#',I4,' CCT=',I3,' IS NOT A '     MOGDAT    272
C     1,'SYNCHRONOUS MOTOR CHECK YOUR','SWITCHING DATA * * *')          MOGDAT    273
 1370 FORMAT (A3,1X,2I5,1X,A2,2X,F10.5)                                 MOGDAT    274
 1410 FORMAT (///10X,'SWITCHING OF GENERATOR & CONTROL SYSTEM :-',/10X,4MOGDAT    275
     10('-'),/10X,'TYPE',4X,'GENERATION',T34,'CCT#',T43,'DESCRIPTION',T7MOGDAT    276
     28,'CHANGES'/)                                                     MOGDAT    277
 1550 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'GOVERNOR REFERENCE CHANGE'    MOGDAT    278
     1,T78,'DELTA XLD =',F11.5)                                         MOGDAT    279
 1555 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'TMECH CHANGE',T               MOGDAT    280
     178,'DELTA TEMCH=',F11.3,' MW')                                    MOGDAT    281
 1560 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'AVR VOLTAGE REFERENCE',' CH   MOGDAT    282
     1ANGE',T78,'DELTA VR  =',F11.5)                                    MOGDAT    283
 1565 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'GENERATOR FIELD DISCHARGED'   MOGDAT    284
     1     ,T78,'RF FACTOR =',F11.5)                                    MOGDAT    285
 1570 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'STABILIZER REMOVAL')          MOGDAT    286
 1580 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'FIELD VOLTAGE CHANGE',T78,'   MOGDAT    287
     1DELTA EFD =',F11.5)                                               MOGDAT    288
 1590 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'GENERATOR REJECTION')         MOGDAT    289
 1600 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'TRANSIENT EXCITATION BOOSTI   MOGDAT    290
     &NG AT TIME =',F11.4,' SEC')                                       MOGDAT    291
 1610 FORMAT (T11,A3,I7,1X,3A4,1X,A2,T43,'GENERATION MODIFICATION')     MOGDAT    292
C 1680 FORMAT (A3,2I5,1X,2A2,4G10.5,2I5)                                MOGDAT    293
C                                                                       MOGDAT    294
      END                                                               MOGDAT    295
